<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage Avengers</Series>
  <Number>28</Number>
  <Web>https://www.comixology.com/Savage-Avengers-2019-28/digital-comic/972349</Web>
  <Volume>2019</Volume>
  <Summary>All good things must come to an end. This volume of SAVAGE AVENGERS concludes after an epic 28-chapter run, and it ends as it began: with a good old-fashioned stabbing. CROM WITNESSES YOU, SAVAGE AVENGERS READERS. Thank you for the adventure.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB972349], [ASINB09JL1V6F3], [RELDATE:2022-01-12]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
